extensible-exceptions fails to build on GHC 6.8 (Cabal 1.2)

Isaac Dupree ml at isaac.cedarswampstudios.org
Fri Mar 26 16:12:17 EDT 2010

On 03/25/10 23:02, Anders Kaseorg wrote:
> On Thu, 25 Mar 2010, Anders Kaseorg wrote:
>> http://hackage.haskell.org/trac/ghc/ticket/3931
> Since apparently library proposals are supposed to have deadlines, please
> send comments here before Sunday (Mar. 27, 2010).
> (Or is there some kind of shortcut for obvious regression fixes that
> aren’t likely to be controversial?)

That deadline is too short for comments (at minimum a week, generally 
two weeks, is common); however, I think this is a trivial packaging 
matter that can just be dealt with by someone. However, it'd be good to 
consult with whoever added those lines to the .cabal file.

And hmm, I think people using old GHC are nevertheless supposed to 
update their Cabal and cabal-install (if they want packages from 
Hackage).  But in this case, easier compatibility seems useful.


More information about the Libraries mailing list